﻿using System.Windows;
using System.Windows.Media;
using MindFusion.Diagramming.Wpf;


namespace ManyNodesFastDiagram
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			diagram.ModificationStart = ModificationStart.AutoHandles;

			for (int i = 0; i < 150; i++)
			{
				var x = 20 + 60 * (i % 10);
				var y = 20 + 60 * (i / 10);
				var node = diagram.Factory.CreateShapeNode(x, y, 100, 100);
				node.HandlesStyle = HandlesStyle.EasyMove;
				node.Text = i.ToString();
				node.TextAlignment = TextAlignment.Left;
				node.TextVerticalAlignment = AlignmentY.Top;
			}
		}
	}
}
